Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. Onboarding

Start processing onboarding

POST
/v1/onboardings/{application_id}/process
Starts the onboarding validation and processing flow for the specified application. All required company, bank, shareholder, and document data should be completed before calling this endpoint; otherwise the API returns validation errors instead of processing the onboarding.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢202
application/json
Accepted
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/onboardings//process' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "return_url": "https://partner.example.com/onboarding/callback"
}'
Response Response Example
202 - response
{
    "success": true,
    "message": "Onboarding submitted for processing",
    "data": {
        "id": "98bd2a69-abf9-4eab-899b-0f23a29aa8bf",
        "onboarding_url": "https://checkoutshopper-live.adyen.com/checkoutshopper/onboarding/...",
        "legal_entity_id": "LE00000000000000000000001",
        "status": "PROCESSING"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Delete onboarding application
Next
Delete onboarding shareholder
Built with